FLANG

Public Member Functions | List of all members
Fortran::semantics::NumericTypeSpec Class Reference
Inheritance diagram for Fortran::semantics::NumericTypeSpec:

## Public Member Functions
| NumericTypeSpec (TypeCategory category, KindExpr &&kind)
Public Member Functions inherited from Fortran::semantics::IntrinsicTypeSpec
TypeCategory | category () const
const KindExpr & | kind () const
bool | operator== (const IntrinsicTypeSpec &x) const
bool | operator!= (const IntrinsicTypeSpec &x) const
std::string | AsFortran () const

## Additional Inherited Members
Protected Member Functions inherited from Fortran::semantics::IntrinsicTypeSpec
| IntrinsicTypeSpec (TypeCategory, KindExpr &&)

The documentation for this class was generated from the following file:

- include/flang/Semantics/type.h